Bug 832973 - segfault in connect_header() after attempt to save view layout with unicode in its name
segfault in connect_header() after attempt to save view layout with unicode i...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: beta
: 6.4
Assigned To: Matthew Barnes
Desktop QE
:
Depends On: 883010
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 05:54 EDT by David Jaša
Modified: 2014-01-02 04:11 EST (History)
4 users (show)

See Also:
Fixed In Version: evolution-2.32.3-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 00:05:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evo backtrace (36.26 KB, text/plain)
2012-06-18 13:22 EDT, David Jaša
no flags Details

  None (edit)
Description David Jaša 2012-06-18 05:54:13 EDT
Description of problem:
segfault in connect_header() after attempt to save view custom layout with unicode in its name

Version-Release number of selected component (if applicable):
evolution-2.28.3-25.2.el6.x86_64

How reproducible:
couldn't reproduce after a restart. I hope that better reproducer can be identified from backtrace.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Milan Crha 2012-06-18 13:02:26 EDT
Thanks for a bug report. Backtrace didn't make it in, could you try to find it from ABRT cache, please?
Comment 2 David Jaša 2012-06-18 13:22:45 EDT
Created attachment 592706 [details]
evo backtrace

attached.
Comment 3 Milan Crha 2012-06-20 03:08:46 EDT
Thanks, I see the 'tree' is bogus, which explain the crash, though not why it crashed. The backtrace doesn't show your 'title' being used (value seems to be optimized out), but it shows that this happened on 'Messages' view change.

#2  0x00007f94b4615521 in gal_view_etable_attach_tree (view=0x3c4c450 [GalViewEtable], tree=0xe25) at gal-view-etable.c:288

Maybe this one is related:
https://bugzilla.gnome.org/show_bug.cgi?id=594543
Comment 4 RHEL Product and Program Management 2012-07-10 02:35:00 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2012-07-10 19:09:26 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 6 RHEL Product and Program Management 2012-12-14 02:07:32 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 Milan Crha 2013-05-09 14:47:43 EDT
Fix for the upstream bug (see comment #3) is part of evolution 2.32.3, thus I make this depend on the rebase bug.
Comment 15 errata-xmlrpc 2013-11-21 00:05:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.